// File.h
// By Nolan Check

#pragma once

#include "AkosView.h"

class File
{
public:
	File()
	{
		m_hFile = INVALID_HANDLE_VALUE;
	};

	bool Open(LPCTSTR lpFileName);
	void Close();
	bool Read(LPVOID lpBuffer, DWORD dwNumBytes);
	bool SeekSet(LONG lDistance);
	bool SeekCurrent(LONG lDistance);

	DWORD GetSize()
	{
		return m_dwSize;
	};
	DWORD GetCursor()
	{
		return SetFilePointer(m_hFile, 0, NULL, FILE_CURRENT);
	};
private:
	HANDLE m_hFile;
	DWORD  m_dwSize;
};