// Sprite.h
// By Nolan Check

#pragma once

#include "AkosView.h"

class Sprite
{
public:
	Sprite()
	{
		m_pPalette = NULL;
		m_pBits    = NULL;
	};

	bool Initialize(int x, int y, WORD wWidth, WORD wHeight, UINT numColors);
	void Destroy();

	int GetX()
	{
		return m_x;
	};
	int GetY()
	{
		return m_y;
	};
	WORD GetWidth()
	{
		return m_wWidth;
	};
	WORD GetHeight()
	{
		return m_wHeight;
	};
	UINT GetNumColors()
	{
		return m_numColors;
	};
	BYTE* GetPalette()
	{
		return m_pPalette;
	};
	BYTE* GetBits()
	{
		return m_pBits;
	};
private:
	int   m_x;
	int   m_y;
	WORD  m_wWidth;
	WORD  m_wHeight;
	UINT  m_numColors;
	BYTE* m_pPalette;
	BYTE* m_pBits;
};